/******************************************************************************\
*       This is a part of the Microsoft Source Code Samples.
*       Copyright (C) 1997 Microsoft Corporation.
*       All rights reserved.
*       This source code is only intended as a supplement to
*       Microsoft Development Tools and/or WinHelp documentation.
*       See these sources for detailed information regarding the
*       Microsoft sample programs.
\******************************************************************************/

//***********************************************************************
// File: nbcommon.h
//
// Description:
//  This file contains common definitions used by both the cient and
//  server.  It defines the names of both the client process and server
//  process that is vital to NetBIOS.
//
//***********************************************************************

#include <windows.h>

#include <nb30.h>

#include <stdio.h>
#include <stdlib.h>

//
// The client and server will register themselves with the NetBIOS naming
//  services under the following names:
//
#define CLIENT_PROCESS_NAME "TESTCLIENT1     "
#define SERVER_PROCESS_NAME "TESTSERVER1     "

#define MAX_MSG_SZ          64          // maximum read size

//
// Function prototypes
//
int  EnumerateLANA  (LANA_ENUM *lenum);
int  AddName        (int lana, char *name);
void Cancel         (PNCB pncb);
void Hangup         (PNCB pncb);
int  Reset          (int lana);

int     Send        (PNCB pncb, PUCHAR data);
PUCHAR  Receive     (PNCB pncb);

void CALLBACK   CancelCallback  (PNCB pncb);
